.cookie-popup {
            font-family: Arial, sans-serif;
            display: flex;
            flex-direction: column;
            padding: 48px 80px;
            background: #FFF;
            box-shadow: 0 -20px 60px 0 rgba(0, 0, 0, 0.10);
            position: fixed;
            bottom: 0;
            width: 100%;
            left: 0;
            gap: 40px;
            transition: margin-bottom 2s, opacity 2s, visibility 2s;
            overflow: hidden;
            margin-bottom: -1000px;
            visibility: hidden;
            opacity: 0;
            z-index: 9999;
            box-sizing: border-box;
        }

.cookie-popup * {
        box-sizing: border-box;
}

        .cookie-popup--visible {
            margin-bottom: 0;
            visibility: visible;
            opacity: 1;
        }

        .cookie-popup__header {
            display: flex;
            flex-direction: column;
            gap: 24px;
            position: relative;
            max-width: 968px;
            margin-left: auto;
            margin-right: auto;
            width: 100%;
        }

        .cookie-popup__close {
            width: 20px;
            height: 20px;
            right: 0;
            top: 0;
            flex-shrink: 0;
            position: absolute;
            background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M21.0628 4.09283C21.3557 3.79994 21.3557 3.32506 21.0628 3.03217C20.7699 2.73928 20.2951 2.73928 20.0022 3.03217L12.0475 10.9868L4.09283 3.03217C3.79994 2.73928 3.32506 2.73928 3.03217 3.03217C2.73928 3.32506 2.73928 3.79994 3.03217 4.09283L10.9868 12.0475L3.03217 20.0022C2.73928 20.2951 2.73928 20.7699 3.03217 21.0628C3.32506 21.3557 3.79994 21.3557 4.09283 21.0628L12.0475 13.1082L20.0022 21.0628C20.2951 21.3557 20.7699 21.3557 21.0628 21.0628C21.3557 20.7699 21.3557 20.2951 21.0628 20.0022L13.1082 12.0475L21.0628 4.09283Z' fill='%231D37AF'/%3E%3C/svg%3E%0A");
            cursor: pointer;
            background-size: 100% 100%;
            transition: opacity 0.3s;
        }

        .cookie-popup__close:hover {
            opacity: 0.7;
        }

        .cookie-popup__title {
            color: #2F2E34;
            font-size: 24px;
            font-weight: 600;
            line-height: 110%;
            letter-spacing: -0.32px;
        }

        .cookie-popup__subtitle {
            color: #17171A;
            font-size: 14px;
            line-height: 140%;
        }

        .cookie-popup__options {
            display: flex;
            align-items: flex-start;
            justify-content: space-between;
            max-width: 968px;
            margin-left: auto;
            margin-right: auto;
            width: 100%;
        }

        .cookie-popup__option {
            width: 22%;
        }

        .cookie-popup__head {
            display: flex;
            gap: 10px;
            align-items: center;
            justify-content: space-between;
            min-height: 27px;
            margin-bottom: 8px;
        }

        .cookie-popup__caption {
            pointer-events: none;
            color: #2F2E34;
            font-size: 16px;
            font-weight: 600;
            line-height: 130%;
            letter-spacing: -0.2px;
        }

        .cookie-popup__switch {
            width: 44px;
            height: 22px;
            flex-shrink: 0;
            border-radius: 124px;
            background: #D0D3DA;
            cursor: pointer;
            padding: 1px;
            transition: background 0.2s;
            display: flex;
            align-items: center;
        }

        .cookie-popup__switch:before {
            content: '';
            width: 20px;
            height: 20px;
            flex-shrink: 0;
            border-radius: 22px;
            background: #FFF;
            display: block;
            margin-left: 0;
            transition: margin-left 0.2s;
        }

        .cookie-popup__switch--active {
            background: #00227F;
        }

        .cookie-popup__switch--active:before {
            margin-left: 22px;
        }

        .cookie-popup__switch--disabled {
            pointer-events: none;
            cursor: none;
        }

        .cookie-popup__switch--disabled:before {
            background-image: url("data:image/svg+xml,%3Csvg width='10' height='10' viewBox='0 0 10 10' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M4.09092 1.5H5.9091C6.18525 1.5 6.40911 1.72386 6.40911 2V3.9792C6.40911 4.09472 6.36993 4.2011 6.30413 4.28576H3.6959C3.6301 4.2011 3.59092 4.09472 3.59092 3.9792V2C3.59092 1.72386 3.81478 1.5 4.09092 1.5ZM2.11914 4.31587C2.10059 4.20641 2.09092 4.09393 2.09092 3.9792V2C2.09092 0.895429 2.98635 0 4.09092 0H5.9091C7.01367 0 7.90911 0.895431 7.90911 2V3.9792C7.90911 4.09394 7.89944 4.20642 7.88089 4.31587C8.31498 4.42496 8.63637 4.81783 8.63637 5.28576V9.00005C8.63637 9.55233 8.18866 10 7.63637 10H2.36365C1.81136 10 1.36365 9.55233 1.36365 9.00004V5.28576C1.36365 4.81782 1.68505 4.42496 2.11914 4.31587Z' fill='%23A1A7B5'/%3E%3Cellipse cx='4.99997' cy='6.7044' rx='0.669707' ry='0.657747' transform='rotate(-180 4.99997 6.7044)' fill='white'/%3E%3Crect x='5.33643' y='8.23911' width='0.67283' height='1.75399' rx='0.336415' transform='rotate(-180 5.33643 8.23911)' fill='white'/%3E%3C/svg%3E");
            background-position: center;
            background-repeat: no-repeat;
        }

        .cookie-popup__description {
            color: #2F2E34;
            font-size: 13px;
            line-height: 140%;
        }

        .cookie-popup__buttons {
            display: flex;
            flex-direction: row;
            gap: 32px;
            max-width: 968px;
            margin-left: auto;
            margin-right: auto;
            width: 100%;
        }

        .cookie-popup__button {
            background: #002DBF;
            color: #FFF;
            text-align: center;
            font-size: 14px;
            font-weight: 400;
            line-height: 120%;
            letter-spacing: -0.18px;
            border-radius: 8px;
            border: none;
            padding: 12px 24px;
            cursor: pointer;
            transition: opacity 0.3s;
        }

        .cookie-popup__button:hover {
            opacity: 0.9;
        }

        @media (max-width: 1360px) {
            .cookie-popup__head {
                flex-direction: column;
                gap: 2px;
                align-items: flex-start;
            }
        }

        @media (max-width: 1024px) {
            .cookie-popup {
                padding: 32px;
                gap: 32px;
            }

            .cookie-popup__buttons {
                gap: 18px;
            }

            .cookie-popup__options {
                display: flex;
                flex-direction: column;
                gap: 14px;
            }

            .cookie-popup__option {
                width: 100%;
            }

            .cookie-popup__head {
                flex-direction: row;
                align-items: center;
                margin-bottom: 8px;
            }

            .cookie-popup__caption {
                color: #0C5BEF;
                line-height: 130%;
                border-bottom: 1px dashed #0C5BEF;
                cursor: pointer;
                pointer-events: auto;
            }

            .cookie-popup__description {
                display: none;
            }

            .cookie-popup__description--active {
                display: block;
            }

        }

        @media (max-width: 600px) {
            .cookie-popup {
                padding: 24px;
                gap: 24px;
            }

            .cookie-popup__header {
                padding-right: 24px;
            }

            .cookie-popup__title {
                font-size: 20px;
                font-weight: 700;
            }

            .cookie-popup__subtitle {
                font-size: 14px;
            }

            .cookie-popup__head span {
                font-size: 16px;
            }

            .cookie-popup__buttons {
                flex-direction: column;
            }

            .cookie-popup__button {
                width: 100%;
            }
        }